Bug 919018 - Error saving the document on SFTP mount
Error saving the document on SFTP mount
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice (Show other bugs)
7.0
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Stephan Bergmann
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-07 07:18 EST by Jiri Koten
Modified: 2014-06-13 08:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: libreoffice-4.0.1.2-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:49:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Koten 2013-03-07 07:18:24 EST
Description of problem:
LibreOffice fails to save a new document on file shares mounted with SFTP.

But when I open an existing document on the file share and make some changes, the document is saved without error.

Tested both GTK dialog and "libreoffice dialogs" with same results.

Also the lock file is created on the file share.

Version-Release number of selected component (if applicable):
libreoffice-writer-4.0.0.3-2.el7

How reproducible:
100%

Steps to Reproduce:
1. Create a gvfs-sftp connection via Nautilus.
2. Launch Writer and create a new text decument
3. Try to save the document on the mounted file share.
  
Actual results:
Error dialog appears, the document is not saved. Tough the lock file is created.
Comment 1 Stephan Bergmann 2013-03-13 07:13:21 EDT
This is the same as Fedora 18 bug 895690, fixed in libreoffice-4.0.1.2-4.fc19, should appear in rhel-7 post f-19 sync.
Comment 2 David Tardon 2013-10-09 07:46:40 EDT
need this in modified, else errata tool does not allow me to create an errata...
Comment 6 Ludek Smid 2014-06-13 08:49:17 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.